Updates the article price list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
article_price_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| article_price_label_id |
Foreign key of article price label |
globally unique identifier |
Optionally required : article_price_label_id or article_price_label must be provided |
| article_price_label |
Embedded entity "article price label" when adding/updating |
article_price_label |
Optionally required : article_price_label_id or article_price_label must be provided |
| price |
Article price, If value not given set as 0. |
decimal number |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "2b70424c-b6aa-4d0c-9d60-95d5cfd094a0",
"article_id": "09e46b3f-5247-4500-809e-7d2b2672514d",
"article_code": "sample string 3",
"article_price_label_id": "fa2a2c79-1a43-4a51-91a6-b82ff6475d1c",
"price": 1.0,
"modified_dateutc": "2026-03-24T07:11:38.6939566+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.